Bug 825533 - [abrt] kde-runtime-4.8.3-1.fc17: __GI___libc_malloc: Process /usr/bin/nepomukservicestub was killed by signal 6 (SIGABRT)
[abrt] kde-runtime-4.8.3-1.fc17: __GI___libc_malloc: Process /usr/bin/nepomuk...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-runtime (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:07b38e14f52960f6455ef41f7ff...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-27 10:22 EDT by Edney Matias
Modified: 2013-08-01 07:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:44:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (109.22 KB, text/plain)
2012-05-27 10:22 EDT, Edney Matias
no flags Details
File: maps (55.43 KB, text/plain)
2012-05-27 10:22 EDT, Edney Matias
no flags Details
File: dso_list (11.21 KB, text/plain)
2012-05-27 10:22 EDT, Edney Matias
no flags Details

  None (edit)
Description Edney Matias 2012-05-27 10:22:00 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/nepomukservicestub nepomukstorage
crash_function: __GI___libc_malloc
executable:     /usr/bin/nepomukservicestub
kernel:         3.3.4-5.fc17.x86_64
pid:            1359
pwd:            /home/matias/Documents
time:           Dom 27 Mai 2012 11:11:42 BRT
uid:            1000
username:       matias
var_log_messages: May 27 11:11:43 padme abrt[1553]: Saved core dump of pid 1359 (/usr/bin/nepomukservicestub) to /var/spool/abrt/ccpp-2012-05-27-11:11:42-1359 (167100416 bytes)

backtrace:      Text file, 111837 bytes
dso_list:       Text file, 11482 bytes
maps:           Text file, 56763 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/matias/1

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7568b __libc_message libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7b616 malloc_printerr libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7de84 _int_malloc libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7fcb3 malloc libc.so.6 -
:c59a61689549074898485e622982b276e3f4f538 0x7d628 QByteArray::realloc(int) libQtCore.so.4 -
:c59a61689549074898485e622982b276e3f4f538 0x7d9e3 - libQtCore.so.4 -
:c59a61689549074898485e622982b276e3f4f538 0x128f4e - libQtCore.so.4 -
:c59a61689549074898485e622982b276e3f4f538 0x12b9c4 QUrl::path() libQtCore.so.4 -
:c59a61689549074898485e622982b276e3f4f538 0x12fad6 QUrl::toLocalFile() libQtCore.so.4 -
:68a0239a0b396ad953addfead4d7e8de8dfd7190 0x2a088 - nepomukstorage.so -
:68a0239a0b396ad953addfead4d7e8de8dfd7190 0x2b33c - nepomukstorage.so -
:68a0239a0b396ad953addfead4d7e8de8dfd7190 0x2ba5f - nepomukstorage.so -
:dc0e7478a14e3dafa0eaec994830ff4c6b5cf4e4 0x5df8c Soprano::FilterModel::executeQuery(QString libsoprano.so.4 -
:dc0e7478a14e3dafa0eaec994830ff4c6b5cf4e4 0x5df8c Soprano::FilterModel::executeQuery(QString libsoprano.so.4 -
:dc0e7478a14e3dafa0eaec994830ff4c6b5cf4e4 0x99429 Soprano::NRLModel::executeQuery(QString libsoprano.so.4 -
:dc0e7478a14e3dafa0eaec994830ff4c6b5cf4e4 0x5df8c Soprano::FilterModel::executeQuery(QString libsoprano.so.4 -
:68a0239a0b396ad953addfead4d7e8de8dfd7190 0x2d0ee - nepomukstorage.so -
:68a0239a0b396ad953addfead4d7e8de8dfd7190 0x2f6b6 - nepomukstorage.so -
:68a0239a0b396ad953addfead4d7e8de8dfd7190 0x340ef - nepomukstorage.so -
:68a0239a0b396ad953addfead4d7e8de8dfd7190 0x4b9a5 - nepomukstorage.so -
:68a0239a0b396ad953addfead4d7e8de8dfd7190 0x4cf1e - nepomukstorage.so -
:c59a61689549074898485e622982b276e3f4f538 0x6f27d - libQtCore.so.4 -
:c59a61689549074898485e622982b276e3f4f538 0x7b5eb - libQtCore.so.4 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1096
:HOSTNAME=padme
:DM_CONTROL=/var/run/xdmctl
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=1000
:XDM_MANAGED=method=classic,auto
:GTK2_RC_FILES=/home/matias/.gtkrc-2.0-kde4
:GS_LIB=
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=matias
:SSH_AUTH_SOCK=/tmp/ssh-DRGaDELD1058/agent.1058
:MAIL=/var/spool/mail/matias
:DESKTOP_SESSION=default
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/matias/bin
:PWD=/home/matias
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=pt_BR.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/matias
:KDE_SESSION_VERSION=4
:LOGNAME=matias
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-29kQXkCMZr,guid=d03c16e94f3635a0e4dc2c100000004f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/matias
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/matias/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:XAUTHORITY=/tmp/kde-matias/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1207,unix/unix:/tmp/.ICE-unix/1207
:LANGUAGE=

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30657                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30657                30657                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[23156]
:pos:	0
:flags:	00
:1:pipe:[23157]
:pos:	0
:flags:	01
:2:pipe:[23158]
:pos:	0
:flags:	01
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[24227]
:pos:	0
:flags:	02004000
:5:pipe:[24227]
:pos:	0
:flags:	02004001
:6:socket:[24228]
:pos:	0
:flags:	02004002
:7:socket:[24231]
:pos:	0
:flags:	02004002
:8:socket:[23162]
:pos:	0
:flags:	02000002
:9:/var/tmp/kdecache-matias/ksycoca4
:pos:	0
:flags:	02100000
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/home/matias/.kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.lock
:pos:	0
:flags:	0100001
:12:socket:[25864]
:pos:	0
:flags:	02
:13:pipe:[24377]
:pos:	0
:flags:	02004001
:14:socket:[21446]
:pos:	0
:flags:	02
:15:pipe:[24378]
:pos:	0
:flags:	02004000
:16:socket:[26678]
:pos:	0
:flags:	02
:17:pipe:[24379]
:pos:	0
:flags:	02004000
:18:socket:[25109]
:pos:	0
:flags:	02004002
:19:anon_inode:inotify
:pos:	0
:flags:	02000000
:20:/proc/1359/mounts
:pos:	0
:flags:	02100000
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:22:pipe:[24381]
:pos:	0
:flags:	02004000
:23:pipe:[24381]
:pos:	0
:flags:	02000001
:24:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:25:socket:[25111]
:pos:	0
:flags:	02004002
:26:socket:[25112]
:pos:	0
:flags:	02
:27:anon_inode:inotify
:pos:	0
:flags:	02000000
:28:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:29:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:30:socket:[25116]
:pos:	0
:flags:	02000002
:31:socket:[22375]
:pos:	0
:flags:	02
:32:socket:[25868]
:pos:	0
:flags:	02004002
:33:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:34:socket:[25871]
:pos:	0
:flags:	02004002
:35:socket:[25872]
:pos:	0
:flags:	02004002
:36:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:37:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:38:socket:[22378]
:pos:	0
:flags:	02004002
:39:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:40:socket:[25162]
:pos:	0
:flags:	02004002
:41:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:42:socket:[25889]
:pos:	0
:flags:	02004002
:43:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:44:socket:[25163]
:pos:	0
:flags:	02004002
:45:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:46:socket:[25891]
:pos:	0
:flags:	02
:47:socket:[25166]
:pos:	0
:flags:	02004002
:48:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:49:socket:[25893]
:pos:	0
:flags:	02
:50:socket:[25895]
:pos:	0
:flags:	02004002
:51:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:52:socket:[25896]
:pos:	0
:flags:	02004002
:53:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:54:socket:[26713]
:pos:	0
:flags:	02004002
:55:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:56:socket:[22394]
:pos:	0
:flags:	02
:57:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:58:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:59:socket:[26719]
:pos:	0
:flags:	02
:60:socket:[25902]
:pos:	0
:flags:	02

smolt_data:
:
:
:Geral
:=================================
:UUID: 6fd39f4e-4653-48bd-984b-090d6635efbb
:SO: Fedora release 17 (Beefy Miracle)
:Nível de execução padrão: Unknown
:Idioma: pt_BR.UTF-8
:Plataforma: x86_64
:BogoMIPS: 4589.87
:Fabricante da CPU: GenuineIntel
:Modelo da CPU: Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
:Versão da CPU: 7
:Família da CPU: 6
:Modelo da CPU: 42
:Número de CPUs: 4
:Velocidade da CPU: 2301
:Memória do sistema: 3851
:Swap do sistema: 4095
:Fabricante: Dell Inc.
:Sistema: Latitude E5420 01
:Fator de uso: Laptop
:Kernel: 3.3.4-5.fc17.x86_64
:SELinux habilitado: 1
:Politica do SELinux: targeted
:Modo de reforço do SELinux: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:7241:4136:1179) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4631:5111:4136:1179) pci, firewire_ohci, FIREWIRE, N/A
:(32902:278:4136:1179) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4136:1179) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4136:1179) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1179) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:4136:1179) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7200:4136:1179) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4631:33569:4136:1179) pci, sdhci-pci, BASE, N/A
:(32902:7188:4136:1179) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4136:1179) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:130:32902:4897) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(5348:5761:4136:1179) pci, tg3, ETHERNET, NetXtreme BCM5761 Gigabit Ethernet PCIe
:(32902:7213:4136:1179) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1179) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1179) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1179) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4136:1179) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(4631:33585:4136:1179) pci, None, STORAGE, N/A
:
:
:Informações do sistema de arquivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_padme-padme.root / ext4 4096 4096 5236203 2484850 2432439 1310720 1025648 1025648
:/dev/sda1 /boot ext4 1024 1024 259598 162932 149825 65536 65220 65220
:/dev/mapper/vg_padme-padme.home /home ext4 4096 4096 26174944 4391304 3080584 6553600 6249519 6249519
:

xsession_errors:
:nepomukservicestub: No service name specified
:nepomukservicestub: Use --help to get a list of available command line options.
:nepomukservicestub: No service name specified
:nepomukservicestub: Use --help to get a list of available command line options.
:nepomukservicestub: No service name specified
:nepomukservicestub: Use --help to get a list of available command line options.
:nepomukservicestub: No service name specified
:nepomukservicestub: Use --help to get a list of available command line options.
:nepomukservicestub: No service name specified
:nepomukservicestub: Use --help to get a list of available command line options.
:nepomukservicestub: No service name specified
:nepomukservicestub: Use --help to get a list of available command line options.
:[/usr/bin/nepomukservicestub] *** glibc detected *** /usr/bin/nepomukservicestub: malloc(): memory corruption (fast): 0x00007ff098005d2f ***
:[/usr/bin/nepomukservicestub] ======= Backtrace: =========
:[/usr/bin/nepomukservicestub] /lib64/libc.so.6[0x3d25e7de84]
:[/usr/bin/nepomukservicestub] /lib64/libQtCore.so.4(_ZN10QByteArray7reallocEi+0x38)[0x306307d628]
:[/usr/bin/nepomukservicestub] /lib64/libQtCore.so.4[0x306307d9e3]
:[/usr/bin/nepomukservicestub] /lib64/libQtCore.so.4[0x3063128f4e]
:[/usr/bin/nepomukservicestub] /lib64/libQtCore.so.4(_ZNK4QUrl4pathEv+0x94)[0x306312b9c4]
:[/usr/bin/nepomukservicestub] /lib64/libQtCore.so.4(_ZNK4QUrl11toLocalFileEv+0x56)[0x306312fad6]
:[/usr/bin/nepomukservicestub] /usr/lib64/kde4/nepomukstorage.so(+0x2b33c)[0x7ff0ee05b33c]
:[/usr/bin/nepomukservicestub] /lib64/libsoprano.so.4(_ZNK7Soprano11FilterModel12executeQueryERK7QStringNS_5Query13QueryLanguageES3_+0x1c)[0x3066e5df8c]
:[/usr/bin/nepomukservicestub] /lib64/libsoprano.so.4(_ZNK7Soprano11FilterModel12executeQueryERK7QStringNS_5Query13QueryLanguageES3_+0x1c)[0x3066e5df8c]
:[/usr/bin/nepomukservicestub] /lib64/libsoprano.so.4(_ZNK7Soprano8NRLModel12executeQueryERK7QStringNS_5Query13QueryLanguageES3_+0x59)[0x3066e99429]
:[/usr/bin/nepomukservicestub] /lib64/libsoprano.so.4(_ZNK7Soprano11FilterModel12executeQueryERK7QStringNS_5Query13QueryLanguageES3_+0x1c)[0x3066e5df8c]
:[/usr/bin/nepomukservicestub] /lib64/libQtCore.so.4[0x306306f27d]
:[/usr/bin/nepomukservicestub] /lib64/libQtCore.so.4[0x306307b5eb]
:[/usr/bin/nepomukservicestub] /lib64/libc.so.6(clone+0x6d)[0x3d25ef199d]
:[/usr/bin/nepomukservicestub] 00400000-00407000 r-xp 00000000 fd:01 159441                             /usr/bin/nepomukservicestub
:00607000-00629000 rw-p 00007000 fd:01 159441                             /usr/bin/nepomukservicestub
:[/usr/bin/nepomukservicestub] 4/libQtDBus.so.4.8.2
:[/usr/bin/nepomukservicestub] 66200000-3066307000 r-xp 00000000 fd:01 158828                         /usr/lib64/libqca.so.2.0.3
:[/usr/bin/nepomukservicestub] /usr/lib64/libgssapi_krb5.so.2.2
:[/usr/bin/nepomukservicestub] /usr/lib64/libgobject-2.0.so.0.3200.1
:[/usr/bin/nepomukservicestub] .1.3.0
:[/usr/bin/nepomukservicestub] 00000-3d32c08000 r-xp 00000000 fd:01 144136                         /usr/lib64/libyajl.so.2.0.1
:[/usr/bin/nepomukservicestub] p 00000000 00:00 0 
:7ff0ef64e000-7ff0ef64f000 r--p 00000000 fd:01 40512                      /usr/share/locale/pt_BR/LC_MESSAGES/nepomukservicestub.mo
:[/usr/bin/nepomukservicestub] 000000 fd:01 27692                      /var/cache/fontconfig/711dae798b6bff4224ea2776edcb5c93-le64.cache-3
:ProcessControl: Application '/usr/bin/nepomukservicestub' stopped unexpected (Process crashed)
:Application '/usr/bin/nepomukservicestub nepomukstorage' crashed! 4 restarts left.
:Application '/usr/bin/nepomukservicestub nepomukqueryservice' exited normally...
:Application '/usr/bin/nepomukservicestub nepomukbackupsync' exited normally...
:Application '/usr/bin/nepomukservicestub digikamnepomukservice' exited normally...
:Application '/usr/bin/nepomukservicestub nepomukfilewatch' exited normally...
Comment 1 Edney Matias 2012-05-27 10:22:11 EDT
Created attachment 587078 [details]
File: backtrace
Comment 2 Edney Matias 2012-05-27 10:22:14 EDT
Created attachment 587079 [details]
File: maps
Comment 3 Edney Matias 2012-05-27 10:22:17 EDT
Created attachment 587080 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 23:44:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 07:44:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.